{#
Base template that is extended by all other web page templates.
Author: Jero Schäfer
Last modified: 18.06.2020
#}
{% extends "bootstrap/base.html" %}
{% import "bootstrap/utils.html" as utils %}

{# Page title #}
{% block title %}NICE - New Intelligent Chain Economy{% endblock %}

{# Album.css #}
{% block styles %}
{#    <link rel="stylesheet" href="{{ url_for('bootstrap.static', filename='css/bootstrap.css') }}"/>#}
    <link rel="stylesheet" href="{{ url_for('frontend.static', filename='css/album.css') }}">
    {{ super() }}
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css"
          integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz"
          crossorigin="anonymous">
{% endblock %}


{# Navigation Bar at the top of the page (uses the Flask-Nav extension) #}
{% block navbar %}{{ nav.top.render() }}{% endblock %}

{# Content of the page #}
{% block content %}
    <div class="container">
        {# Render flashed messages in the style of a Bootstrap alert #}
        {% with messages = get_flashed_messages() %}
            {% if messages %}
                {% for message in messages %}
                    <div class="alert alert-info" role="alert">{{ message }}</div>
                {% endfor %}
            {% endif %}
        {% endwith %}

        {# Add page-specific content #}
        {% block page_content %}{% endblock %}
    </div>

{% endblock %}

{# Footer #}
{#{% block footer %}#}
{#    {{ super() }}#}
{#    <div class="container">#}
{#        <p class="float-right">#}
{#            <a href="#">Back to top</a>#}
{#        </p>#}
{#        <p>Album example is &copy; Bootstrap, but please download and customize it for yourself!</p>#}
{#        <p>New to Bootstrap? <a href="https://getbootstrap.com/">Visit the homepage</a> or read our <a#}
{#                href="../getting-started/introduction/">getting started guide</a>.</p>#}
{#    </div>#}
{#{% endblock %}#}


{#{{super()}}#}
{#{%- block footer %}#}
{#    <footer>&copy; 2016 Awesome, Inc.</footer>#}
{#{%- endblock footer %}#}


{# Scripts #}
{% block scripts %}
    {{ super() }}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script>window.jQuery || document.write('<script src="../assets/js/vendor/jquery.slim.min.js"><\/script>')</script>
    <script src="{{ url_for("frontend.static", filename="js/bootstrap.bundle.js") }}"></script>
{% endblock %}